import javax.swing.tree.*;
/**
 * Clase estatica de utileria
 *
 * @author G. Cherencio
 * @version 1.0
 */
public class Util {
    public static String getTreeTabs(TreeNode node) {
        return repeatChar('\t',getNumOfParents(node));
    }
    public static int getNumOfParents(TreeNode node) {
        TreeNode tn = node;
        int i=0;
        while(tn.getParent() != null) {
            i++;
            tn=tn.getParent();
        }
        return i;
    }
    public static String repeatChar(char c,int ntimes) {
        StringBuffer sb = new StringBuffer("");
        for(int i=0;i<ntimes;i++) sb.append(c);
        return sb.toString();
    }
    /**
     * cuento la cantidad de tabs que hay hasta el anterior \n
     */
    public static int countPreviousTab(StringBuffer sb,int pos) {
        int nt=0,p=pos;
        char car=0;
        while(p>0 && (car=sb.charAt(p)) != '\n') {
            if ( car == '\t' ) nt++;
            p--;
        }
        return nt;
    }
}
